Subject: Re: 31.0.50; recentf-open-files reports opening the last file accessed

From: Rick <[email-masked]>
Date: Tue, 3 Jun 2025 16:53:51 -0500

With some help from @NickD in this thread
https://emacs.stackexchange.com/questions/84614

I've isolated the messages source to this function:

(defun recentf-dialog-goto-first (widget-type)
   "Move the cursor to the first WIDGET-TYPE in current dialog.
Go to the beginning of buffer if not found."
   (goto-char (point-min))
   (condition-case nil
       (let (done)
         (widget-move 1)
         (while (not done)
           (if (eq widget-type (widget-type (widget-at (point))))
               (setq done t)
             (widget-move 1))))
     (error
      (goto-char (point-min)))))

Perhaps the real problem is in widget-move and the
messages should not even be generated.  But that isn't
something I have a way to tell.  What I CAN tell is that
given they seem to  serve no purpose beyond creating
confusion I see they can easily be eliminated using
widget-move's optional suppress-echo parameter.

Specifically, change

  (widget-move 1)

  to

  (widget-move 1 t)

in BOTH invocations within the above function.